import jaggl.OpenGL;

public class Class132 {

   int anInt1567;
   Class545_Sub1 aClass545_Sub1_1568;
   static final int anInt1569 = 34336;
   static int[] anIntArray1570 = new int[1];


   void method2494() throws Throwable {
      this.aClass545_Sub1_1568.method14552(this.anInt1567);
      super.finalize();
   }

   Class132(Class545_Sub1 var1, int var2, int var3) {
      this.aClass545_Sub1_1568 = var1;
      this.anInt1567 = var3;
   }

   public void finalize() throws Throwable {
      this.aClass545_Sub1_1568.method14552(this.anInt1567);
      super.finalize();
   }

   void method2495() throws Throwable {
      this.aClass545_Sub1_1568.method14552(this.anInt1567);
      super.finalize();
   }

   static Class132 method2496(Class545_Sub1 var0, int var1, String var2) {
      int var3 = OpenGL.glGenProgramARB();
      OpenGL.glBindProgramARB(var1, var3);
      OpenGL.glProgramStringARB(var1, '\u8875', var2);
      OpenGL.glGetIntegerv('\u864b', anIntArray1570, 0);
      if(anIntArray1570[0] != -1) {
         OpenGL.glBindProgramARB(var1, 0);
         return null;
      } else {
         OpenGL.glBindProgramARB(var1, 0);
         return new Class132(var0, var1, var3);
      }
   }

   void method2497() throws Throwable {
      this.aClass545_Sub1_1568.method14552(this.anInt1567);
      super.finalize();
   }
}
